classification
Title: Pyhton27.dll at SysWOW64 not updated when updating Python 2.7.X
Type: security Stage:
Components: Windows Versions: Python 2.7
process
Status: closed Resolution: wont fix
Dependencies: Superseder:
Assigned To: Nosy List: GamesGamble, christian.heimes, steve.dower, tim.golden, zach.ware
Priority: normal Keywords:

Created on 2014-12-16 10:55 by GamesGamble, last changed 2016-09-09 00:08 by christian.heimes. This issue is now closed.

Messages (5)
msg232733 - (view) Author: (GamesGamble) Date: 2014-12-16 10:55
Hello,
the Python27.dll at >C:\Windows\SysWOW64< not get updated when updating Python 2.7.X at Windows 7 SP1 (Reported weak spot from Kaspersky Pure 3.0 weak spot search). When I´am manually deinstalling Python und install Python after deinstalling It got the updated *.dll .
msg232823 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2014-12-17 14:42
When you say "2.7.X", which version are you installing and which version did you have installed?
msg232859 - (view) Author: (GamesGamble) Date: 2014-12-18 06:40
2.7.7 was installed and I has installed 2.7.8 and 2.7.8 was installed and then I has installed 2.7.9.
msg232964 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2014-12-20 06:14
That's strange, and it isn't what normally happens, so I suspect it's a configuration or corruption issue on your machine (possibly Kapersky Pure is to blame?). The 2.7.7, 2.7.8 and 2.7.9 installers all have the correct version information and there's no indication that under normal circumstances the upgrade wouldn't be fine.

We're also not investing much time into the installer for 2.7 any more - the builds are still coming because I'm building them, but I'm not able to actively maintain it beyond that - and so we don't really have much interest in debugging issues with workarounds.

So thank you for reporting the problem, but there probably won't be a fix coming for it and you'll need to uninstall 2.7.9 before upgrading to the next version.
msg275224 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2016-09-09 00:08
I'm closing the bug.
History
Date User Action Args
2016-09-09 00:08:44christian.heimessetstatus: open -> closed

nosy: + christian.heimes
messages: + msg275224

resolution: wont fix
2014-12-20 06:14:24steve.dowersetmessages: + msg232964
2014-12-18 06:40:12GamesGamblesetmessages: + msg232859
2014-12-17 14:42:57steve.dowersetmessages: + msg232823
2014-12-16 10:55:19GamesGamblecreate